#ifndef Updater_H
#define Updater_H

#include <Update.h>
#include <KSGNetwork.h>

using namespace Framework;

class Updater : public UpdaterV
{
private:
	KSGClient::PatchServerClient *client;
	Text *fehler;
	int ref;

public:
	// Konstruktor
	Updater( KSGClient::PatchServerClient *psc );
	// Destruktor
	~Updater();
	// nicht constant
	virtual int getNextDateiGruppe( Text *zDgPfad );
	virtual int update( UpdateParams *zParams );
	// constant
	virtual char *getError() const;
	virtual int getDownload() const;
	// Reference Counting
	virtual UpdaterV *getThis();
	virtual UpdaterV *release();
};

#endif